# $Revision: 1.30 $, $Date: 2003/01/18 08:33:01 $
Summary:	Small, fast and secure FTP server
Summary(pl):	May, szybki i bezpieczny serwer FTP
Name:		troll-ftpd
Version:	1.28
Release:	1
License:	Free (see COPYING file)
Group:		Daemons
Source0:	ftp://ftp.trolltech.com/freebies/ftpd/%{name}-%{version}.tar.gz
Source1:	%{name}.pam
Source2:	%{name}.rc-inetd
Patch0:		%{name}.make.patch
Patch1:		%{name}.path.patch
Patch2:		%{name}.pam.patch
Patch3:		%{name}.ipv6.patch
Patch4:		%{name}.docs.patch
Patch5:		%{name}.no-mkusers.patch
Patch6:		%{name}.banner.patch
Patch7:		%{name}.dead-daemons.patch
URL:		http://www.troll.no/freebies/ftpd.html
BuildRequires:	pam-devel
# proftpd requires that, there must be some reason ;)
Requires:	pam >= 0.67
PreReq:		rc-inetd
Provides:	ftpserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ftpserver
Obsoletes:	anonftp
Obsoletes:	bftpd
Obsoletes:	ftpd-BSD
Obsoletes:	heimdal-ftpd
Obsoletes:	linux-ftpd
Obsoletes:	muddleftpd
Obsoletes:	proftpd
Obsoletes:	proftpd-common
Obsoletes:	proftpd-inetd
Obsoletes:	proftpd-standalone
Obsoletes:	pure-ftpd
Obsoletes:	vsftpd
Obsoletes:	wu-ftpd

%description
troll-ftpd is small, fast and secure FTP server. it's security cames
from setfsuid() syscall, which is linux-specific and it seems to be
created for ftp servers. While troll hasn't got any config-file or
other bells and whistles, it supports IPv6 and mrtg. troll doesn't use
/etc/ftpd/ftpusers file (author claims that it's name is misleading --
well, hard to disagree ;).

Package comes with anonymous upload disabled. If you really want to
enable it - chmod /home/services/ftp/upload to be writeable by group
ftp.

%description -l pl
troll-ftpd jest maym, szybkim i bezpiecznym serwerem FTP. Swoje
bezpieczestwo troll zawdzicza funkcji setfsuid(), ktra jest
specyficzna dla Linuksa i jakby stworzona wanie do tego celu. troll,
cho nie ma pliku konfiguracyjnego ani wielu bajerw, to obsuguje
IPv6 i mrtg. troll nie uywa pliku /etc/ftpd/ftpusers (autor twierdzi,
e nazwa jest mylca -- trudno si nie zgodzi ;).

Pakiet przychodzi z wyczonym anonimowym uploadem. Jeli naprawd
chcesz go wczy - zmie uprawnienia do /home/services/ftp/upload,
aby grupa ftp miaa prawo zapisu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
def='-DUSE_PAM -DIPv6 -DNO_FTP_USERS -DVHOST_PATH=\"%{_sysconfdir}/ftpd/vhosts\"'

# don't make mkusers since we don't use them ...
%{__make} LDFLAGS="%{rpmldflags} -lpam -ldl" ftpd mrtginfo CFLAGS="%{rpmcflags} $def"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,sysconfig/rc-inetd,ftpd/vhosts} \
	$RPM_BUILD_ROOT/home/services/ftp/{upload,pub}

install ftpd $RPM_BUILD_ROOT%{_sbindir}/troll-ftpd
install mrtginfo $RPM_BUILD_ROOT%{_sbindir}/troll-ftpd-mrtg
ln -sf troll-ftpd $RPM_BUILD_ROOT%{_sbindir}/ftpd

install ftpd.8 mrtginfo.8 $RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ftp
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ftpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart
fi

%files
%defattr(644,root,root,755)
%doc README COPYING
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace)/etc/pam.d/ftp
%attr(640,root,root) %config(noreplace) /etc/sysconfig/rc-inetd/ftpd
%attr(700,root,ftp) %verify(not mode) %dir /home/services/ftp/upload
%dir /home/services/ftp
%dir /home/services/ftp/pub
%dir %{_sysconfdir}/ftpd/vhosts
%{_mandir}/man8/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: troll-ftpd.spec,v $
Revision 1.30  2003/01/18 08:33:01  qboosh
- 1.28, updated pam,ipv6,no-mkusers patches, removed osolete shadow-fix patch
- use "PLD Linux" name in banner patch

Revision 1.29  2002/12/07 23:49:29  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.28  2002/12/07 15:37:32  orzech
- /home/httpd -> /home/services/httpd

Revision 1.27  2002/12/07 14:34:47  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.26  2002/08/18 12:36:46  blues
- release 7 - license fix

Revision 1.25  2002/06/06 02:00:13  kloczek
- use new %doc.

Revision 1.24  2002/06/01 10:30:44  qboosh
- Obsoletes: vsftpd
- release 6

Revision 1.23  2002/04/12 11:50:46  qboosh
- Obsoletes: proftpd-{common,inetd,standalone}; release 5

Revision 1.22  2002/02/23 04:55:16  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 20:12:51  qboosh
- standarized changelog preamble
- changed Requires: rc-inetd to Prereq (used in post/postun)
- removed Requires: inetdaemon (implied by rc-inetd)
- release 4

Revision 1.19  2001/12/07 21:12:46  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.18  2001/10/08 10:59:43  qboosh
- release 2: changed upload dir owner to root; disable upload by default

Revision 1.17  2001/08/15 18:59:31  kloczek
- added pam-devel to BuildRequires.

Revision 1.16  2001/08/15 18:36:59  qboosh
- 1.27 (security update), updated ipv6, make, pam, no-mkusers patches)

Revision 1.15  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.14  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.12  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.11  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.10  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.9  2001/01/23 16:20:31  malekith
added linking against -lpam and -ldl.

Revision 1.8  2001/01/23 00:28:00  kloczek
- heimdal-ftpd added to Obsoletes.

Revision 1.7  2001/01/23 00:27:21  kloczek
- release 2,
- pure-ftpd added to Obsoletes,
- spec adapterized,
- make spec %%{debug} redy and added using rpm automation.

Revision 1.6  2001/01/14 13:00:46  undefine
- Added bftpd to Obsoletes

Revision 1.5  2000/08/24 16:09:43  pascalek
- added linux-ftpd as Obsoletes

Revision 1.4  2000/07/28 10:00:24  malekith
Added patch to parse /proc/net/tcp6 in addition to /prc/net/tcp to count
daemons, also not to count TCP_CLOSED sockets.

Revision 1.3  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/06/07 10:06:06  kloczek
- spec adapterized,
- added gzipping %doc fiels,
- simplifications and cosmetics.

Revision 1.1  2000/06/06 12:55:24  malekith
First revision.
